summaryrefslogtreecommitdiffstats
path: root/debian/tests/t/bug-982435-CVE-2021-26937.t
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 03:30:44 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 03:30:44 +0000
commit1d1b5c2a2854ce0385a89401c504711270c6f7a3 (patch)
tree045f1bf9d39fb409f8f9bc1a46ce2f8ee8c67908 /debian/tests/t/bug-982435-CVE-2021-26937.t
parentAdding upstream version 4.9.1. (diff)
downloadscreen-1d1b5c2a2854ce0385a89401c504711270c6f7a3.tar.xz
screen-1d1b5c2a2854ce0385a89401c504711270c6f7a3.zip
Adding debian version 4.9.1-1.debian/4.9.1-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/t/bug-982435-CVE-2021-26937.t')
-rw-r--r--debian/tests/t/bug-982435-CVE-2021-26937.t18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/tests/t/bug-982435-CVE-2021-26937.t b/debian/tests/t/bug-982435-CVE-2021-26937.t
new file mode 100644
index 0000000..90cc361
--- /dev/null
+++ b/debian/tests/t/bug-982435-CVE-2021-26937.t
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+echo 1..2
+
+. `dirname $0`/boilerplate.sh
+
+for enc in C C.UTF-8 ; do
+ LC_ALL=$enc
+ export LC_ALL
+
+ $SCREEN cat debian/tests/t/bug-982435-CVE-2021-26937.crash > /dev/null 2>&1
+ sleep 1
+ screen -ls | fgrep -q 'Dead ???'
+ check_exit_code_false "No dead session found after triggering a CVE-2021-26937 crash (LC_ALL=$enc)"
+
+ # Cleanup in case of crash
+ screen -wipe > /dev/null 2>&1 || true
+done